£1,179.41– £1,440.99
Compare 3 prices
NETGEAR · Network Switch
NETGEAR GS108T Managed price in United Kingdom
Model GS108TMPN GS108T-300PESMPN GS108T-100EUSMPN GS108T-100NASEAN 6064491386344EAN 603992502561
- Speed1 Gbit/s
- ConnectivityWired
- Noise0 dB
- Weight690 g
Lowest price incl. delivery
£132.96
at PCHUB.UKFree deliveryIn stock
- 2 stores
- Range £132.96 – £132.96
- 2 in stock
- 1 with free delivery
- Checked 6 Oct 2026, 05:40 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
2 stores · prices in GBP · updated 6 Oct 2026, 05:40 UTC
Every store asks the same price.
- 2 of 2 stores in stock
- 1 with free shipping
- Checked 6 Oct 2026, 05:40 UTC
- PCHUB.UKLowest priceNETGEAR GS108T Managed L2 Gigabit Ethernet (10/100/1000) Grey In stockFree shipping£132.96incl. free shippingGo to store : PCHUB.UK (opens in a new tab)
- PcNova.co.ukNETGEAR GS108T Managed L2 Gigabit Ethernet (10/100/1000) Grey In stockShipping not stated£132.96item price, shipping extraGo to store : PcNova.co.uk (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- NETGEAR
- Product
- GS108T Managed
- Full name
- NETGEAR GS108T Managed
- Manufacturer part number
- GS108T-300PES, GS108T-100EUS, GS108T-100NAS, GS108T-200NAS, GS108T-200JPS
- EAN / UPC
- 6064491386344, 603992502561, 6064490513536, 606449051377, 071030526181, 163120572533, 606449069990, 777786356422
- Category
- Network Switch
28 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| System event log | Yes |
| MIB support | RFC 1213, RFC 1643, RFC 1493 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 8 |
|---|
Network
| Copper ethernet cabling technology | 100BASE-TX |
|---|---|
| Full duplex | Yes |
| Flow control support | Yes |
Data transmission
| MAC address table | 8000 entries |
|---|---|
| Supported data transfer rates | 10/100/1000 Mbps |
| Store-and-forward | Yes |
| Maximum data transfer rate | 1 Gbit/s |
| Packet buffer memory | 0.125 MB |
Security
| DHCP features | DHCP client |
|---|---|
| MAC address filtering | Yes |
Performance
| Noise level | 0 dB |
|---|---|
| Mean time between failures (MTBF) | 108016 h |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | No |
|---|
Other features
| Dimensions (WxDxH) | 235.5 x 100.8 x 25.9 mm |
|---|---|
| Connectivity technology | Wired |
| Bandwidth | 16 Gbit/s |
Operational conditions
| Operating temperature (T-T) | 0 - 50 °C |
|---|---|
| Storage temperature (T-T) | -20 - 70 °C |
| Operating relative humidity (H-H) | 0 - 90% |
| Storage relative humidity (H-H) | 0 - 95% |
Weight & dimensions
| Weight | 690 g |
|---|
Certificates
| Certification | - CE mark, commercial - FCC Part 15 Class A - VCCI Class A - C-Tick |
|---|
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






